AWSにインストールしたWordPressのSiteGuard Pluginで画像認証・更新通知ができなかったときの対処法

AWSでwordpressを使った公開前のサイトを作りたいということでさくっとWordPressのインストールまでしたときのこと。
SiteGuard WP Pluginまで入れてとりあえずの設定をしたのですが、画像認証の機能が「この機能を使用するには、httpd.confのAllowOverrideにLimitを指定する必要があります。」
とでていて、更新通知に「wp-cron.phpにアクセスできない問題を解決してください。アクセス制御が関係している可能性があります。」とでていたので色々と調べていました。

参考サイト:WordPressのSITEGUARDプラグイン画像認証設定時のエラー

AllowOverrideもALLになっているし、パーミッションも問題なし。

apacheのエラーログを確認したところ、インスタンスのIPアドレスからwp-cron.phpへの通信がエラー!!

公開前ということで、セキュリティグループの80番ポートで色々制限をかけてたことが原因でした。

AWSのセキュリティグループで80番ポートをインスタンスのIPアドレスを追加することで問題は解消されました。

スポンサーリンク
広告01
広告01

シェアする

  • このエントリーをはてなブックマークに追加

フォローする

スポンサーリンク
広告01